package FI2.Arnold;
/**{p}
 * -- FI2.Arnold --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Esercizi tratti dal libro di Arnold-Gosling
 */

/**{f}
 * ImprovedFibonacci.java
 * Arnold-Gosling esercizio 1.9 -
 * ImprovedFibonacci con memorizzazione su array
 *
 * @version 1.01 97/10/22
 * @author M.Moro DEI UPD
 */

/**{c}
 * Stampa primi valori di fibonacci
 */
public class ImprovedFibonacci
{
    static final int MAX_INDEX = 10;    // indice massimo

    /**[m][s]
     * metodo di collaudo
     * @param args[]  non usato
     */
    public static void main(String[] args) {

        QualFibValue[] values = new
          QualFibValue[MAX_INDEX-1];
            // array di valori
        int lo = 1, hi = 1;     // valori calcolati

        QualFibValue.arrayNew(values);
            // alloca array
        values[0].val=1;
        values[0].even=false;
        for (int i=1; i<MAX_INDEX-1; i++) {
            values[i].val = hi;
            values[i].even = (hi % 2 == 0);
                // true se pari
            hi = lo+hi;
            lo = hi-lo;
        } // for
        for (int i=0; i<MAX_INDEX-1; i++) {
            System.out.println((i+1) + ": " +
              values[i].val +
              (values[i].even ? " *" : ""));
        } // for
    } //[m][s] main

} //{c} ImprovedFibonacci
