package FI2.Arnold;
/**{p}
 * -- FI2.Arnold --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Esercizi tratti dal libro di Arnold-Gosling
 */

/**{f}
 * ImprovedFibonacci2.java
 * Arnold-Gosling esercizio 1.11 -
 * ImprovedFibonacci con memorizzazione su array
 *
 * @version 1.01 97/10/22 
 * @author M.Moro DEI UPD
 */

/**{c}
 * Stampa primi valori di fibonacci - 
 * memorizza l'output su stringa
 */
public class ImprovedFibonacci2
{
    static final int MAX_INDEX = 10;    // indice massimo

    /**[m][s]
     * metodo di collaudo
     * @param args[]  non usato
     */
    public static void main(String[] args) {

        QualFibValue[] values = new
          QualFibValue[MAX_INDEX-1];
            // array di valori
        String[] outs = new String[MAX_INDEX-1];
        int lo = 1, hi = 1;     // valori calcolati

        QualFibValue.arrayNew(values);
            // alloca array
        values[0].val=1;
        values[0].even=false;
        outs[0] = "1: 1";
        for (int i=1; i<MAX_INDEX-1; i++) {
            values[i].val = hi;
            values[i].even = (hi % 2 == 0);
                // true se pari
            outs[i] = (i+1) + ": " +
              values[i].val +
              (values[i].even ? " *" : "");
                // stringa di output
            hi = lo+hi;
            lo = hi-lo;
        } // for
        for (int i=0; i<MAX_INDEX-1; i++)
            System.out.println(outs[i]);
    } //[m][s] main

} //{c} ImprovedFibonacci2

