package FI2.Examples;
/**{p}
 * -- FI2.Examples --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Esempi vari
 */

/**{f}
 * ContainerActivator.java
 * Esercizio 5.4 -
 * Attivatore indiretto per un contenitore
 *
 * @version 1.00 99/10/22
 * @author M.Moro DEI UPD
 */

import FI2.Set.Container;

/**{i}
 * Definisce due metodi generali che possono operare
 * su un contenitore
 */
public interface ContainerActivator
{

    /**[m][a]
     * svuotamento del contenitore
     * @return Container  il contenitore stesso se
     * oggetto mutabile, un nuovo contenitore vuoto
     * se immutabile
     */
    public Container setEmpty();

    /**[m][a]
     * raddoppio degli elementi del contenitore -
     * i riferimenti di quelli presenti vengono 
     * copiati se con approccio non mutabile
     * @return Container  il contenitore stesso se
     * oggetto mutabile, un nuovo contenitore vuoto
     * se immutabile
     */
    public Container setDouble();

} //{c} ContainerActivator

