package FI2.Examples.Prove;
/**{p}
 * -- FI2.Examples.Prove --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Strutture lineari
 */

/**{f}
 * ProvaWrapper.wrapper.java
 * Esercizio di verifica 3.1 -
 * prova classi wrapper
 *
 * @version 1.00 99/10/13
 * @author M.Moro DEI UPD
 */

import java.io.*;
import java.util.Vector;
import FI2.Examples.Utility.Wrapper;
import FI2.Util.FI2Sys;

/**{c}
 * Prova della classe Wrapper
 * @see Wrapper
 */
public class ProvaWrapper
{

    /**[m][s]
     * metodo di collaudo
     * @param args[]  non usato
     */
    public static void main(String[] args)
      throws IOException
    {

        Reader re = new BufferedReader(new
          InputStreamReader(System.in));
        StreamTokenizer sIn = new StreamTokenizer(re);
        Vector v = new Vector();

        sIn.parseNumbers();
        sIn.lowerCaseMode(true);
        try
        {
            FI2Sys.out.println(
              "Battere un valore di tipo base:");
            while(sIn.nextToken() != StreamTokenizer.TT_EOF)
            {
                if (sIn.ttype == StreamTokenizer.TT_NUMBER)
                {
                    // inizia con un numero
                    double val = sIn.nval;
                    if (sIn.nextToken() == StreamTokenizer.TT_EOF)
                        break;
                    if (sIn.ttype == StreamTokenizer.TT_NUMBER)
                    {
                        // nuovo token, manca il segnalatore
                        FI2Sys.out.println(
                          "** numero senza segnalatore, assunto intero");
                        v.addElement(Wrapper.wrap((int)val));
FI2Sys.out.println("** int, inserito " + Wrapper.wrap((int)val));
                    }
                    else switch(sIn.sval.charAt(0))
                    {
                      case 'b':
                        // byte
                        v.addElement(Wrapper.wrap((byte)val));
FI2Sys.out.println("** byte, inserito " + Wrapper.wrap((byte)val));
                        break;
                      case 's':
                        // short
                        v.addElement(Wrapper.wrap((short)val));
FI2Sys.out.println("** short, inserito " + Wrapper.wrap((short)val));
                        break;
                      case 'i':
                        // int
                        v.addElement(Wrapper.wrap((int)val));
FI2Sys.out.println("** int, inserito " + Wrapper.wrap((int)val));
                        break;
                      case 'l':
                        // long
                        v.addElement(Wrapper.wrap((long)val));
FI2Sys.out.println("** long, inserito " + Wrapper.wrap((long)val));
                        break;
                      case 'f':
                        // float
                        v.addElement(Wrapper.wrap((float)val));
FI2Sys.out.println("** float, inserito " + Wrapper.wrap((float)val));
                        break;
                      case 'd':
                        // double
                        v.addElement(Wrapper.wrap(val));
FI2Sys.out.println("** double, inserito " + Wrapper.wrap((double)val));
                        break;
                      default:
                        // ???
                        FI2Sys.out.println(
                          "** numero con segnalatore illegale, assunto double");
                        v.addElement(Wrapper.wrap(val));
                        break;
                    } //switch
                } //if number
                else
                {
                    if (sIn.sval.equals("true") ||
                      sIn.sval.equals("false") )
                    {
                        // boolean
                        v.addElement(Wrapper.wrap(
                          Boolean.valueOf(sIn.sval).booleanValue()));
FI2Sys.out.println("** boolean, inserito " + Wrapper.wrap(
                          Boolean.valueOf(sIn.sval).booleanValue()));
                    }
                    else if (sIn.sval.length() == 1)
                    {
                        // char
                        v.addElement(Wrapper.wrap(sIn.sval.charAt(0)));
FI2Sys.out.println("** char, inserito " + Wrapper.wrap(sIn.sval.charAt(0)));
                    }
                    else
                        FI2Sys.out.println(
                          "** simbolo illegale, ignorato");
                }
            FI2Sys.out.println(
                "** size=" + v.size());
            if (v.size() >= 10)
            {
                FI2Sys.out.println("Elementi in ordine inverso:");
                while (v.size() > 0)
                {
                    FI2Sys.out.println(v.lastElement());
                    v.removeElementAt(v.size()-1);
                }
            }

            } //while

        } //try
        catch (EOFException e)
        {
            // termina il ciclo
        } //catch(EOF)

    } //[m][s] main

} //{c} ProvaWrapper
