package FI2.Gui;
/**{p}
 * -- FI2 --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Interfaccia grafica
 */

/**{f}
 * DrawingInfo.java
 * Elemento di info per un nodo d'albero -
 * software ricavato dalla libreria JDSL
 *
 * @version 3.00 00/09/29
 * @author M.Moro DEI UPD
 */

/*
 * Copyright (C) 1998, Center for Geometric Computing, Brown University
 *                 and The Johns Hopkins University
 * 
 * All Rights Reserved
 * 
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose other than its incorporation into a  
 * commercial product is hereby granted without fee, provided that the
 * above copyright notice appear in all copies and that both that   
 * copyright notice and this permission notice appear in supporting 
 * documentation, and that the names of Brown University and of The Johns
 * Hopkins University not be used in advertising or publicity pertaining
 * to distribution of the software without specific, written prior
 * permission.
 * 
 * BROWN UNIVERSITY AND THE JOHNS HOPKINS UNIVERSITY DISCLAIM ALL
 * WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR ANY PARTICULAR  
 * PURPOSE. IN NO EVENT SHALL BROWN UNIVERSITY OR THE JOHNS HOPKINS
 * UNIVERSITY BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL 
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
 * PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 */

import java.awt.Color;

/**{c}
 * definisce un elemento di informazione da associare
 * al nodo d'albero che deve essere visualizzato graficamente
 */
public class DrawingInfo {
  // Element stored at a node of a drawable binary tree.
  private int x;
  private int y;
  private Color c;
  public DrawingInfo(Color col) { this.setColor(col); }
  public int getX() { return x; }
  public int getY() { return y; }
  public Color getColor() { return c; }
  public void setX(int newX) { x = newX; }
  public void setY(int newY) { y = newY; }
  public void setColor(Color newCol) { c = newCol; }
} //{c} DrawingInfo
