package FI2.Gui;
/**{p}
 * -- FI2.Gui --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Interfaccia grafica
 */

/**{f}
 * ThreePagesFrame.java
 * attivazione di ThreePagesApplet come frame
 *
 * @version 1.00 98/12/08
 * @author M.Moro DEI UPD
 */

import java.awt.*;
import java.awt.event.*;

/**{c}
 * @see ThreePagesApplet
 */
public class ThreePagesFrame 
{
    ThreePagesApplet app = new ThreePagesApplet();
    Frame sup = new Frame("Three pages");

    /**{c}
     * classe interna che implementa WindowListener
     */
    class ForClosing implements WindowListener 
    {

        /**[m]
         * @see WindowListener
         */
        public void windowClosing(WindowEvent e) 
        {
            sup.dispose();
            System.exit(0);
        }
        
        public void windowActivated(WindowEvent e) { }
        public void windowDeactivated(WindowEvent e) { }
        public void windowDeiconified(WindowEvent e) { }
        public void windowClosed(WindowEvent e) { }
        public void windowIconified(WindowEvent e) { }
        public void windowOpened(WindowEvent e) { }
    }

    /**[c]
     * costruttore base, attiva l'applet collegato
     * fornendone il contesto grafico
     */
    public ThreePagesFrame()
    {
        app.init();
        app.start();

        sup.add("Center", app);
        sup.addWindowListener(new ForClosing());
        sup.setSize(400, 400);
        sup.show();
    } //[c] ThreePagesFrame

    /**[m][s]
     * metodo di attivazione
     * @param args[]  non usato
     */
    public static void main(String[] args) 
    {
        new ThreePagesFrame();
    } //[m][s] main

} //{c} ThreePagesFrame
