package FI2.Linear;
/**{p}
 * -- FI2.Linear --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Strutture lineari
 */

/**{f}
 * GenericPosition.java
 * versione visibile in Fi2.Linear di 
 * FI2.Set.GenericPosition
 *
 * @version 1.00 98/09/18
 * @author M.Moro DEI UPD
 */

import FI2.Exceptions.InvalidPositionException;
import FI2.Set.Container;

/**{c}
 * estende FI2.Set.GenericPosition per rendere
 * visibili a livello di questo package i metodi protected
 * @see FI2.Set.GenericPosition
 */
class GenericPosition 
  extends FI2.Set.GenericPosition 
{
    /**[c]
     * @see FI2.Set.GenericPosition
     */
    protected GenericPosition(Container cont, Object elem)
    { super(cont, elem); }

    /**[c]
     * @see FI2.Set.GenericPosition
     */
    protected Object getElement() 
    { return super.getElement(); }

    /**[c]
     * @see FI2.Set.GenericPosition
     */
    protected void setElement(Object elem) 
    { super.setElement(elem); }

    /**[c]
     * @see FI2.Set.GenericPosition
     */
    protected void setContainer(Container cont) 
      throws InvalidPositionException
    { super.setContainer(cont); }

    /**[c]
     * @see FI2.Set.GenericPosition
     */
    protected void setInvalid()
    { super.setInvalid(); }

} //{i} GenericPosition
