package FI2.Linear;
/**{p}
 * -- FI2.Linear --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Strutture lineari
 */

/**{f}
 * PriorityQueue2.java
 * interfaccia che estende con gestione 
 * di riferimenti (Locator)
 * il PriorityQueue -
 * derivata da SimplePriorityQueue della v 1.x 
 *
 * @version 2.00 00/09/25
 * @author M.Moro DEI UPD
 */

import FI2.Set.LocatorKeyBasedContainer;

/**{i}
 * coda a priorita` con riferimenti
 * (Locator) -
 * estende PriorityQueue con gestione Locator
 * @see PriorityQueue
 * @see LocatorKeyBasedContainer
 */
public interface PriorityQueue2 
  extends InspectablePriorityQueue2, PriorityQueue, LocatorKeyBasedContainer
{
    // non aggiunge metodi 
} //{i} PriorityQueue2
