package FI2.Set;
/**{p}
 * -- FI2.Set --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Insiemi
 */

/**{f}
 * InspectableContainer.java
 * contenitore-insieme generico read-only
 *
 * @version 1.00 00/09/20
 * @author M.Moro DEI UPD
 */

/**{i}
 * contenitore-insieme generico con metodi
 * a sola lettura -
 * puo` contenere anche piu` volte il riferimento
 * allo stesso oggetto
 */
public interface InspectableContainer
{
    /**[m][a]
     * numero degli elementi nell'insieme
     * @return numero elementi corrente
     */
    int size();

    /**[m][a]
     * verifica se insieme vuoto
     * @return true se insieme vuoto;
     *         false altrimenti
     */
    boolean isEmpty();

    /**[m][a]
     * iterazione degli elementi dell'insieme
     * @return un iteratore per il contenitore
     */
    ObjectIterator elements();

} //{i} InspectableContainer
