package FI2.Set;
/**{p}
 * -- FI2.Set --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Insiemi
 */

/**{f}
 * LocatorIterator.java
 * interfaccia per un iteratore di riferimenti
 * (Locator)
 *
 * @version 1.00 00/09/25
 * @author M.Moro DEI UPD
 */

import java.util.NoSuchElementException;

/**{i}
 * iteratore su contenitore con riferimenti
 * (Locator) 
 * @see ObjectIterator
 */
public interface LocatorIterator extends ObjectIterator
{
    /**[m][a]
     * prossimo riferimento da visitare che viene
     * 'consumato'
     * @return riferimento all'elemento visitato
     * @exception NoSuchElementException  
     * ultimo elemento gia` visitato
     */
    Locator nextLocator() throws NoSuchElementException;

} //{i} LocatorIterator
