package FI2.Set;
/**{p}
 * -- FI2.Set --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Insiemi
 */

/**{f}
 * MutablePosition.java
 * interfaccia posizionatore con update dell'elemento
 *
 * @version 1.00 98/09/18
 * @author M.Moro DEI UPD
 */

import FI2.Exceptions.InvalidPositionException;

/**{i}
 * indicatore di posizione (posizionatore) con
 * update dell'elemento
 * @see Position
 */
public interface MutablePosition extends Position
{
    /**[m][a]
     * aggiorna l'elemento 'indicato' dal posizionatore
     * @exception InvalidPositionException  
     * posizionatore illegale
     */
    void setElement(Object obj) 
      throws InvalidPositionException;

} //{i} MutablePosition
