package FI2.Set;
/**{p}
 * -- FI2.Set --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Insiemi
 */

/**{f}
 * ObjectIterator.java
 * interfaccia per un iteratore generico
 *
 * @version 1.00 00/09/20
 * @author M.Moro DEI UPD
 */

import java.util.NoSuchElementException;

/**{i}
 * iteratore su contenitore
 */
public interface ObjectIterator
{
    /**[m][a]
     * verifica se c'e` almeno un elemento
     * ancora non visitato
     * @return true se c'e` ancora un elemento
     *         false altrimenti
     */
    boolean hasNext();

    /**[m][a]
     * prossimo elemento da visitare che viene
     * 'consumato'
     * @return elemento visitato
     * @exception NoSuchElementException  
     * ultimo elemento gia` visitato
     */
    Object nextObject() throws NoSuchElementException;

} //{i} ObjectIterator
