package FI2.Temi;
/**{p}
 * -- FI2.Temi --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Temi d'esame
 */

/**{f}
 * NatAssocMem.java
 * Scritto del 20/2/99
 *
 * @version 1.00
 * @author M.Moro DEI UPD
 */

import FI2.Exceptions.*;

/**{i}
 * memoria associativa 0ggetto-Numero naturale
 */
public interface NatAssocMem // extends Container 
{

    /**[m][a]
     * ricerca un oggetto 
     * @param obj  oggetto da cercare
     * @return il valore naturale associato, se trovato
     *         -1 altrimenti
     */
    public int lookup (Object obj);
  
    /**[m][a]
     * inserimento di una coppia Oggetto-Naturale
     * @param obj  oggetto
     * @param val  valore naturale associato
     * @exception AlreadyPresentException
     *            se oggetto gia` presente con valore
     *            associato diverso
     */
    public void insert(Object obj, int val)
      throws AlreadyPresentException;

    /**[m][a]
     * rimuove l'oggetto se presente
     * @param obj  oggetto
     * @return il valore naturale associato, se presente
     * @exception NotPresentException
     *            se oggetto non e` presente 
     */
    public int delete(Object key)
      throws NotPresentException;

} //{i} NatAssocMem
