package FI2.Tree;
/**{p}
 * -- FI2.Tree --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Alberi
 */

/**{f}
 * BinaryTree.java
 * albero binario con espansioni -
 * derivata da BinaryTree della v 1.x
 *
 * @version 3.00 00/09/22
 * @author M.Moro DEI UPD
 */

import FI2.Set.PositionalContainer;

/**{i}
 * albero binario  -
 * estende l'albero binario read-only rendendolo
 * modificabile -
 * in realta` non precisa le modalita` di modifica
 * che sono indicate in eventuali, specifiche sottointerfacce -
 * si noti che e` errato far discendere questa
 * classe da Tree perche` un BinaryTree non si puo`
 * usare dove e` richiesto un Tree: infatti un Tree
 * ha l'abilita` di inserire un numero arbitrario
 * di figli e un BinaryTree no (si parla di violazione
 * del principio di sostituzione di Liskov)
 * @see InspectableBinaryTree
 * @see PositionalContainer
 */
public interface BinaryTree 
  extends InspectableBinaryTree, PositionalContainer
{
    // non aggiunge metodi
} //{i} BinaryTree
