package FI2.Util;
/**{p}
 * -- FI2.Util --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Utilita`
 */

/**{f}
 * DoubleOppositeOperator.java
 * descrittore operatore - unario di double
 *
 * @version 1.00 98/09/20
 * @author M.Moro DEI UPD
 */

/**{c}
 * esprime un operatore 'opposto' di variabile double
 * espressa da DoubleVariableInfo
 * @see OperatorInfo
 * @see DoubleVariableInfo
*/
public class DoubleOppositeOperator implements OperatorInfo
{
    /**[m]
     * @see OperatorInfo
     */
    public Number operation (Number x, Number y)
    { 
        return new Double(-((Double)y).doubleValue());
          // x non usata
    } //[m] operation

    /**[m]
     * conversione a stringa
     * @return stringa con il contenuto
     */
    public String toString()
    { return "~"; }

} //{c} DoubleOppositeOperator
