package FI2.Gui;
/**{p}
 * -- FI2.Gui --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Interfaccia grafica
 */

/**{f}
 * ThreePagesApplet.java
 * esempio di applet con gestione mouse
 *
 * @version 1.00 98/12/08
 * @author M.Moro DEI UPD
 */

import java.awt.*;
import java.awt.event.*;
import java.applet.Applet;

/**{c}
 * esempio di applet con 3 pagine a rotazione -
 * implementa l'ascoltatore di mouse
 */
public class ThreePagesApplet extends Applet 
  implements MouseListener 
{
    // componenti grafici
    Button page1Button;
    Label page2Label;
    TextArea page3Text;
    Button page3Top;
    Button page3Bottom;
    CardLayout layout;
    
    /**[m]
     * @see Applet
     */
    public void init() 
    {
        setLayout(layout = new CardLayout());
        
        add(page1Button = new 
          Button("Button page"), "page1Button");
        page1Button.addMouseListener(this);
        
        add(page2Label = new 
          Label("Label page"), "page2Label");
        page2Label.addMouseListener(this);
        
        Panel panel = new Panel();
        panel.setLayout(new BorderLayout());
        
        panel.add(page3Text = new TextArea("Composite page"));
        page3Text.addMouseListener(this);
        
        panel.add(page3Top = new 
          Button("Top button"), "North");
        page3Top.addMouseListener(this);
        
        panel.add(page3Bottom = new 
          Button("Bottom button"), "South");
        page3Bottom.addMouseListener(this);
        
        add(panel, "panel");
    } //[m] init
    
    // implementazione di MouseListener
    /**[m]
     * @see MouseMotionListener
     */
    public void mouseClicked(MouseEvent e) 
    {
        layout.next(this);
    }
    
    public void mouseEntered(MouseEvent e) { }
    public void mouseExited(MouseEvent e) { }
    public void mousePressed(MouseEvent e) { }
    public void mouseReleased(MouseEvent e) { }
    
} //{c} ThreePagesApplet
