package FI2.Set;
/**{p}
 * -- FI2.Set --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Insiemi
 */

/**{f}
 * Container.java
 * contenitore-insieme generico
 *
 * @version 2.00 00/09/20
 * @author M.Moro DEI UPD
 */

/**{i}
 * contenitore-insieme generico  -
 * estende InspectableContainer con
 * la possibilita` di creare un nuovo
 * contenitore
 * @see InspectableContainer
 */
public interface Container extends InspectableContainer
{

    /**[m][a]
     * consente di creare un'istanza di una classe
     * che implementa l'interfaccia senza conoscerla
     * e restituendo il riferimento piu` generico (Container)
     * @return l'istanza generata se ammissibile
     *         false altrimenti
     * @exception InvalidContainerException
     * contenitore this illegale
     */
    Container newContainer();

} //{i} Container
