package FI2.Set;
/**{p}
 * -- FI2.Set --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Insiemi
 */

/**{f}
 * InspectableLocatorKeyBasedContainer.java
 * contenitore-insieme read-only
 * organizzato con l'uso di chiavi
 * e riferimenti (Locator)
 *
 * @version 1.00 00/09/25
 * @author M.Moro DEI UPD
 */

/**{i}
 * contenitore-insieme con metodi
 * a sola lettura e basato sull'uso
 * delle chiavi per l'accesso e
 * con il supporto dei riferimenti
 * (Locator)
 */
public interface InspectableLocatorKeyBasedContainer
  extends InspectableKeyBasedContainer
{
    /**[m][a]
     * iteratore sui riferimenti (Locator)
     * nell'insieme -
     * @return un iteratore per i riferimenti
     * (Locator)
     */
    LocatorIterator locators();

} //{i} InspectableLocatorKeyBasedContainer
