package FI2.Set;
/**{p}
 * -- FI2.Set --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Insiemi
 */

/**{f}
 * InspectablePositionalContainer.java
 * contenitore-insieme con posizioni
 * e metodi read-only -
 * derivata da PositionalContainer della v 1.x 
 *
 * @version 2.00 00/09/20
 * @author M.Moro DEI UPD
 */

/**{i}
 * contenitore-insieme con posizioni e
 * metodi a sola lettura -
 * definisce una relazione di contiguita`
 * tra posizioni e consente di utilizzare i
 * posizionatori per le operazioni su strutture dati
 * @see InspectableContainer
 */
public interface InspectablePositionalContainer 
  extends InspectableContainer
{
    /**[m][a]
     * iterazione dei posizionatori dell'insieme
     * @return un'iterazione dei posizionatori
     */
    PositionIterator positions();

} //{i} InspectablePositionalContainer
