package FI2.Temi;
/**{p}
 * -- FI2.Temi --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Temi d'esame
 */

/**{f}
 * GeoPoint.java
 * Prima prova intermedia 1999/2000 
 *
 * @version 1.00 99/11/07
 * @author M.Moro DEI UPD
 */

import FI2.Util.*;
import java.util.Enumeration;
import java.util.NoSuchElementException;

public class GeoPoint
{
    private int lodeg, lopri, ladeg, lapri;
      // longitudine gradi, primi, latitudine gradi, primi
    private char lover, laver;
      // verso

    public GeoPoint() // default
    {
        this(0, 0,'w', 0, 0, 'n');
    }

    public GeoPoint(int lod, int lop, char lov, int lad, int lap, char lav) // base
    {
        lodeg = lod;
        lopri = lop;
        ladeg = lad;
        lapri = lap;
        lover = lov;
        laver = lav;
    }

    public String toString() 
    {
        return "["+lodeg+"D "+lopri+"' "+lover+", "+ladeg+"D "+lapri+"' "+laver+"]";
    } // toString

    public int[] toPrim() // in primi
    {
        int[] ret = new int[2];

        ret[0] = (lodeg*60+lopri);
        ret[1] = (ladeg*60+lapri);
        return ret;
    } // toPrim

    public int [] dist(GeoPoint snd)
    {
        int[] ret = new int[2];
        int[] thpr = toPrim();
        int[] sndpr = snd.toPrim();

        if (lover == snd.lover)
            // longitudine concorde
            ret[0] = Math.abs(thpr[0]-sndpr[0]);
        else
            ret[0] = Math.abs(thpr[0]+sndpr[0]);
        if (laver == snd.laver)
            // latitudine concorde
            ret[1] = Math.abs(thpr[1]-sndpr[1]);
        else
            ret[1] = Math.abs(thpr[1]+sndpr[1]);
        return ret;
    } // dist
   
} // GeoPoint

