package FI2.Temi;  // non richiesto
/**{p}
 * -- FI2.Temi --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Temi d'esame
 */

/**{f}
 * SetDictionary.java
 * Interfaccia dizionario con operazioni d'insieme -
 * Prova scritta Settembre 2000 1
 *
 * @version 1.00 2000/08/29
 * @author M.Moro DEI UPD
 */

import FI2.Dictionary.*;

/**{i}
 * dizionario con operazioni d'insieme -
 * non puo` contenere piu` elementi con la stessa
 * chiave
 */
public interface SetDictionary extends Dictionary
{

    /**[m][a]
     * unione -
     * cerca le chiavi presenti in this e/o in d1
     * @param d1  secondo dizionario
     * @return un dizionario unione
     */
    public SetDictionary union(SetDictionary d1); 
  
    /**[m][a]
     * intersezione -
     * cerca le chiavi presenti sia in this che in d1
     * @param d1  secondo dizionario
     * @return un dizionario intersezione
     */
    public SetDictionary intersect(SetDictionary d1); 

    /**[m][a]
     * differenza -
     * cerca le chiavi presenti in this ma non in d1
     * @param d1  secondo dizionario
     * @return un dizionario differenza
     */
    public SetDictionary subtract(SetDictionary d1); 
} //{i} SetDictionary
