package FI2.Util;
/**{p}
 * -- FI2.Util --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Utilita`
 */

/**{f}
 * IntegerOppositeOperator.java
 * descrittore operatore - unario di int
 *
 * @version 1.00 98/09/20
 * @author M.Moro DEI UPD
 */

/**{c}
 * esprime un operatore 'opposto' di variabile int
 * espressa da IntegerVariableInfo
 * @see OperatorInfo
 * @see DoubleVariableInfo
*/
public class IntegerOppositeOperator 
  implements OperatorInfo
{
    /**[m]
     * @see OperatorInfo
     */
    public Number operation (Number x, Number y)
    { 
        return new Integer(-((Integer)y).intValue());
          // x non usata
    } //[m] operation

    /**[m]
     * conversione a stringa
     * @return stringa con il contenuto
     */
    public String toString()
    { return "~"; }

} //{c} IntegerOppositeOperator
