package FI2.Util;
/**{p}
 * -- FI2.Util --
 * Universita' di Padova -
 * Diploma Universitario in Ingegneria Informatica
 * Corso di Fondamenti di Informatica 2
 * Utilita`
 */

/**{f}
 * OperatorInfo.java
 * interfaccia per descrittore operatore
 *
 * @version 1.00 98/09/20
 * @author M.Moro DEI UPD
 */

/**{i}
 * esprime un operatore di una espressione algebrica -
 * rispetto a [Good] pag. 175 e` piu` generico
 * potendo rappresentare qualsiasi operatore numerico
*/
public interface OperatorInfo
{
    /**[m][a]
     * operazione espressa dall'operatore
     * @param x  primo operando
     * @param y  secondo operando
     * @return risultato dell'operazione
     */
    Number operation (Number x, Number y);

} //{i} OperatorInfo
