// Istruzione.java -- formato di una istruzione di Ram

class Istruzione {

// codici operativi
  static final int HALT   = 0;
  static final int LOAD   = HALT  + 1;
  static final int STORE  = LOAD  + 1;
  static final int ADD    = STORE + 1;
  static final int SUB    = ADD   + 1;
  static final int MULT   = SUB   + 1;
  static final int DIV    = MULT  + 1;
  static final int READ   = DIV   + 1;
  static final int WRITE  = READ  + 1;
  static final int CALL   = WRITE + 1;
  static final int RET    = CALL  + 1;
  static final int PUSH   = RET   + 1;
  static final int POP    = PUSH  + 1;
  static final int JUMP   = POP   + 1;
  static final int JGZ    = JUMP  + 1;
  static final int JZ     = JGZ   + 1;

// tipi di indirizzamento
  static final int DIRETTO   = 0;
  static final int INDIRETTO = 1;
  static final int IMMEDIATO = 2;

// mnemonici
  static final String[] TAVOLACODICI = {
    "HALT",  "LOAD", "STORE", "ADD",  "SUB", "MULT", "DIV",  "READ",
    "WRITE", "CALL", "RET",   "PUSH", "POP", "JUMP", "JGZ",  "JZ" };

  int codiceOperativo;
  int tipo;
  int operando;

  Istruzione (int c, int t, int o) {
    codiceOperativo = c;
    tipo            = t;
    operando        = o;
    }
  }
